%global momorel 2
%global src0sum c1955d88280ff6e847f82f37b9a9a008

Summary: A GNU utility for data encryption and digital signatures
Name: gnupg2
Version: 1.9.15
Release: %{momorel}m
URL: http://www.gnupg.org/
%NoSource 0 ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/gnupg-%{version}.tar.gz %{src0sum}
Source1: dot.gpgsm.conf
Source2: dot.gpg-agent.conf
Patch0: gpg2-1.9.1-skel2.patch
Provides: gpg-agent
Provides: gpgsm
Provides: newpg

License: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libgcrypt >= 1.2
Requires: pth
# BuildPreReq: openldap-devel
BuildPreReq: libksba >= 0.9.7
BuildPreReq: libgcrypt >= 1.2
# BuildPreReq: db2-devel
BuildPreReq: libgpg-error >= 1.0
BuildPreReq: libassuan >= 0.6.9
BuildPreReq: gettext >= 0.14.1
# BuildPreReq: automake >= 1.5-25m
BuildPreReq: pth-devel

%description
The GNU Privacy Guard (GnuPG) is a GNU tool for secure communication
and data storage. It is a complete and free replacement for PGP and
can be used to encrypt data and to create digital signatures. It
includes an advanced key management facilitiy and is compliant with
the proposed OpenPGP Internet standard (and its optional features)
as described in RFC2440. There are a lot of useful extra features
like anonymous message recipients and integrated keyserver support.
The program does not use any patented algorithms, and can be used as a
filter program. Can handle all OpenPGP messages and messages generated
by PGP 5.0 and newer unless they use the IDEA algorithm.


%prep
%setup -q -n gnupg-%{version}
%patch0 -p0

%build
#export AUTOMAKE=automake-1.9
#export ACLOCAL=aclocal-1.9
#./autogen.sh
%configure --disable-scdaemon --enable-gpg \
	--program-prefix="" \
	--with-agent-pgm=%{_bindir}/gpg-agent \
	--with-pinentry-pgm=%{_sbindir}/pinentry-gtk \
	--with-dirmngr-pgm=%{_bindir}/dirmngr \
	# --with-scdaemon-pgm=%{_sbindir}/scdaemon
%make

%install
rm -rf %{buildroot}
%makeinstall
mv %{buildroot}%{_datadir}/gnupg/gpg-conf.skel{,2}

# docs
rm -fr	rpmdoc
mkdir	rpmdoc
for i in agent common jnlib kbx sm; do
 rm -fr	rpmdoc/${i}
 mkdir	rpmdoc/${i}/
 cp	${i}/ChangeLog \
 	rpmdoc/${i}/
done
rm -f %{buildroot}%{_infodir}/dir

# sample
mkdir -p %{buildroot}%{_datadir}/config-sample/gnupg2
chmod 755 %{buildroot}%{_datadir}/config-sample/gnupg2
install -m644 %{SOURCE1} \
 %{buildroot}%{_datadir}/config-sample/gnupg2/dot.gpgsm.conf
install -m644 %{SOURCE2} \
 %{buildroot}%{_datadir}/config-sample/gnupg2/dot.gpg-agent.conf

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
/sbin/install-info %{_infodir}/gnupg.info   %{_infodir}/dir
fi

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --delete gnupg   %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc README
%doc TODO
%doc ChangeLog
%doc NEWS
%doc AUTHORS
%doc THANKS
%doc rpmdoc/*
%{_bindir}/gpg2
%{_bindir}/gpgv2
%{_bindir}/gpg-agent
%{_bindir}/gpgsm
%{_bindir}/kbxutil
%{_bindir}/gpgconf
%{_bindir}/watchgnupg
%{_bindir}/gpgsm-gencert.sh
%{_sbindir}/addgnupghome
%{_infodir}/gnupg*
%{_libexecdir}/gpg-preset-passphrase
%{_libexecdir}/gpg-protect-tool
%{_datadir}/gnupg/*.skel2
%{_datadir}/locale/*/LC_MESSAGES/gnupg2.mo
%{_datadir}/config-sample/gnupg2

%changelog
* Tue Mar 29 2005 TAKAHASHI Tamotsu <tamo>
- (1.9.15-2m)
- add config-sample

* Sat Jan 29 2005 TAKAHASHI Tamotsu <tamo>
- (1.9.15-1m)
- move from Alter to Main

* Tue Nov 30 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.9.12-1m)
- updated to 1.9.12

* Mon Jun 14 2004 TAKAHASHI Tamotsu <tamo>
- (1.9.9-1m)

* Thu Sep 11 2003 TAKAHASHI Tamotsu <tamo>
- (1.9.1-1m)
- gpg2, divided from newpg

* Thu Jun 19 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.4-6m)
  rebuild against cyrus-sasl2
  
* Wed May 14 2003 TAKAHASHI Tamotsu <tamo>
- (0.9.4-5m)
- pinentry 0.6.9 (has only qt-related changes)
- dirmngr  0.4.5 (src/ChangeLog has been merged to
 toplevel ChangeLog file)
- no longer declare CC=gcc
- make with _smp_mflags
- enable pinentry-qt when pinqt is 1 (default 0)

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.4-4m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.4-3m)
- rebuild against for gdbm

* Sun Feb 09 2003 TAKAHASHI Tamotsu <tamo>
- (0.9.4-2m)
- dir 0.4.4
- pin 0.6.8 (URL changed?)
- BuildPreReq: libgcrypt-devel >= 1.1.12
- autogen pinentry
- BuildPreReq: db2

* Thu Dec 05 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.4-1m)
- BuidPreReq: libksba >= 0.4.6

* Mon Dec 02 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.3-1m)
- npg 0.9.3
- dir 0.4.3
- pin 0.6.7 (URI changed)

* Sat Oct 26 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.2-3m)
- "LIBS=-ldb2" no longer needed

* Fri Oct 11 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.9.2-2m)
- all: misc docs added (rpmdoc/*)
- pinentry: option --enable-fallback-curses added

* Sat Oct 05 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.9.2-1m)
- now preun/post is in if-fi
- npg 0.9.2
- dir 0.4.2
- pin 0.6.5
- (libksba >= 0.4.5)
- (libgcrypt-devel >= 1.1.10)

* Sun Sep 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-2m)
- BuildPreReq: libksba >= 0.4.4

* Fri Sep 13 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.9.1-1m)
- dirver 0.4.1-p1
- pinver 0.6.4
- added dirmngr.info, renamed gpgsm.info to gnupg.info
- added newpg.mo
- removed README-alpha, agent/keyformat.txt and doc
- corrected info installation

* Fri Jul 12 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.9-2m)
- sorry, --with-*-pgm's should be ProGraMs (not dir)

* Thu Jul 04 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.9-1m)
- update
- install-info
- --disable-scdaemon --enable-gpg --without-pth
- URL: http://www.gnupg.org/
- dirver 0.3.0
- pinver 0.6.3 ENable-curses ENable-gtk DISable-qt
- libdir/newpg/protect-tools

* Thu May 02 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (0.3.5-0.020020501002k)
- from anoncvs
- url unknown
- not committed yet
